nbd_aio_peek_command_completed(3)

NAME
nbd_aio_peek_command_completed - check if any command has completed

SYNOPSIS
 #include <libnbd.h>

 int64_t nbd_aio_peek_command_completed (
           struct nbd_handle *h
         );

DESCRIPTION
Return the unique positive 64 bit cookie of the first non-retired but completed command, 0 if there are in-flight commands but none of them are awaiting retirement, or -1 on error including when there are no in-flight commands. Any cookie returned by this function must still be passed to nbd_aio_command_completed(3) to actually retire the command and learn whether the command was successful.

RETURN VALUE
This call returns a 64 bit signed integer ≥ 0.

ERRORS
On error -1 is returned.

Refer to "ERROR HANDLING" in libnbd(3) for how to get further details of the error.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.0.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_AIO_PEEK_COMMAND_COMPLETED 1

SEE ALSO
nbd_aio_command_completed(3), nbd_create(3), libnbd(3).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA